Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.core.collection
Class AttributeMapBindingEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.webflow.core.collection.AttributeMapBindingEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeMapBindingEvent

extends java.util.EventObject

Holder for information about the binding or unbinding event in an `AttributeMap`.

Author:
  Ben Hale
See Also:
  `AttributeMapBindingListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeMapBindingEvent(AttributeMap source, java.lang.String attributeName, java.lang.Object attributeValue)` Creates an event for map binding that contains information about the event.

Method Summary
`java.lang.String` | `getAttributeName()` Returns the name the attribute was bound with.
`java.lang.Object` | `getAttributeValue()` Returns the value of the attribute.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeMapBindingEvent

    public AttributeMapBindingEvent(AttributeMap source,
                                    java.lang.String attributeName,
                                    java.lang.Object attributeValue)

  Creates an event for map binding that contains information about the event.

  Parameters:
    `source` - the source map that this attribute was bound in
    `attributeName` - the name that this attribute was bound with
    `attributeValue` - the attribute

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the name the attribute was bound with.

### getAttributeValue

    public java.lang.Object getAttributeValue()

  Returns the value of the attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD